Advanced Widgets
================

Advanced widgets are :class:`screens <simpleline.render.screen.UIScreen>` which can be used for a
specific purpose. For example, reading input from the user and testing acceptance conditions on this
input, or asking the user a yes/no question.

Advanced widget classes
-----------------------

.. automodule:: simpleline.render.adv_widgets
    :members:
    :show-inheritance:
